Create measurement source
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceKey": "<string>",
"name": "<string>",
"outcomeType": "<string>",
"granularity": "<string>",
"provider": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-sources"
payload = {
"sourceKey": "<string>",
"name": "<string>",
"outcomeType": "<string>",
"granularity": "<string>",
"provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceKey: '<string>',
name: '<string>',
outcomeType: '<string>',
granularity: '<string>',
provider: '<string>'
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Measurement
Create measurement source
Register a measurement data source (e.g. MMM, brand lift study) for an advertiser.
POST
/
advertisers
/
{advertiserId}
/
measurement-sources
Create measurement source
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceKey": "<string>",
"name": "<string>",
"outcomeType": "<string>",
"granularity": "<string>",
"provider": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-sources"
payload = {
"sourceKey": "<string>",
"name": "<string>",
"outcomeType": "<string>",
"granularity": "<string>",
"provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceKey: '<string>',
name: '<string>',
outcomeType: '<string>',
granularity: '<string>',
provider: '<string>'
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
continuous, daily, weekly, biweekly, monthly, quarterly Minimum string length:
1Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Required range:
0 <= x <= 1Available options:
pending, active, paused Response
Create measurement source